Differences between BlogEngine 2.5 and 4.0?

Jan 18, 2012 at 9:26 PM

I just installed BlogEngine2.5 because I didn't know there is a 4.0 version.  What's the difference between 2.5 and 4.0?  Does the newer one incorporate JQuery?  Do they target a particular verison of the .Net framework or a particular version of ASP.net?

I'm using Visual Web Developer 2008 Express Edition >net Framework 3.5.

Any help is appreciated.

 

Jan 18, 2012 at 10:05 PM

As far as i know the latest version of Blog Engine.Net is 2.5 which needs asp.net 4.0 environment to be installed on server.

Since BlogEngine 2.0+ Jquery has become part of BlogEngine and can be found here - BlogEngine2.Web\Scripts

You do not need to call jquery exclusively from your widgets or extesions as the BE runtime loads already fo you.

You will have to use Visual Web Developer 2010 Express Edition to test BE 2.5 , i believe..

Jan 20, 2012 at 8:22 PM

thanks.  dropping the files in a Website Project(not Web Application) project got it going with VWD 2010.